﻿<!DOCTYPE html>
<html>
<head>
	<title>enabled</title>
	<script>
		window.onload = function () {

			var check = document.getElementById("check");

			check.onclick = function () {
				var sbmt = document.getElementById('form1');

				if (check.checked) {
					// переводим элемент формы в активное состояние.
					sbmt.submit.disabled = false;
				}
				else {
					sbmt.submit.disabled = true;
				}

			}
		}
	</script>
	<style>
		/* :enabled - псевдоклаcс для получения доступных элементов форм (по умолчанию элементы форм enabled) */
		input:enabled {
			background: green;
		}
		button {
			padding: 10px;
			box-sizing: border-box;
			border-radius: 4px;
			cursor: pointer;
		}
		button:disabled {
			background-color: #505050;
			cursor: default;
		}
	</style>

</head>
<body>
<form id="form1">
	<p>
		<input type="checkbox" name="agree" id="check">
		Я согласен со всеми условиями
	</p>
	<p>
		<!--Изначально элемент формы не активен-->
		<button type="submit" name="submit" disabled> Отправить </button>
	</p>
</form>
</body>
</html>

